<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ipc__pipe__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ipc_pipe_config_t</compoundname>
    <includes local="no">cy_ipc_pipe.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ipc__pipe__config__t_1ac585fb98c4029e06b8153e4e5d64f165" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ipc__pipe__ep__config__t">cy_stc_ipc_pipe_ep_config_t</ref></type>
        <definition>cy_stc_ipc_pipe_ep_config_t cy_stc_ipc_pipe_config_t::ep0ConfigData</definition>
        <argsstring />
        <name>ep0ConfigData</name>
        <briefdescription>
<para>Specifies the notify interrupt number for the first endpoint. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="168" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="168" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__config__t_1aefa7a75db152315e2e3e3ae46820a4ce" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ipc__pipe__ep__config__t">cy_stc_ipc_pipe_ep_config_t</ref></type>
        <definition>cy_stc_ipc_pipe_ep_config_t cy_stc_ipc_pipe_config_t::ep1ConfigData</definition>
        <argsstring />
        <name>ep1ConfigData</name>
        <briefdescription>
<para>Specifies the notify interrupt number for the second endpoint. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="171" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="171" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__config__t_1a9d8f58b169ab2e50427ece461550d22c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_config_t::endpointClientsCount</definition>
        <argsstring />
        <name>endpointClientsCount</name>
        <briefdescription>
<para>Client count and size of MsgCallback array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="174" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="174" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__config__t_1a9027c672e8ad600c381c33feecf10e94" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_ipc_pipe_callback_array_ptr_t</type>
        <definition>cy_ipc_pipe_callback_array_ptr_t cy_stc_ipc_pipe_config_t::endpointsCallbacksArray</definition>
        <argsstring />
        <name>endpointsCallbacksArray</name>
        <briefdescription>
<para>Pipes callback function array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="177" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="177" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__config__t_1aec89378774fd910f4037abf56114d868" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref></type>
        <definition>cy_israddress cy_stc_ipc_pipe_config_t::userPipeIsrHandler</definition>
        <argsstring />
        <name>userPipeIsrHandler</name>
        <briefdescription>
<para>User IRQ handler function that is called when IPC receive data to process (interrupt was raised). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="180" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="180" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The Pipe channel configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="189">
        <label>cy_stc_ipc_pipe_config_t</label>
        <link refid="structcy__stc__ipc__pipe__config__t" />
        <childnode refid="190" relation="usage">
          <edgelabel>ep1ConfigData</edgelabel>
          <edgelabel>ep0ConfigData</edgelabel>
        </childnode>
      </node>
      <node id="190">
        <label>cy_stc_ipc_pipe_ep_config_t</label>
        <link refid="structcy__stc__ipc__pipe__ep__config__t" />
      </node>
    </collaborationgraph>
    <location bodyend="181" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="165" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="166" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ipc__pipe__config__t_1a9d8f58b169ab2e50427ece461550d22c" virt="non-virtual"><scope>cy_stc_ipc_pipe_config_t</scope><name>endpointClientsCount</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__config__t_1a9027c672e8ad600c381c33feecf10e94" virt="non-virtual"><scope>cy_stc_ipc_pipe_config_t</scope><name>endpointsCallbacksArray</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__config__t_1ac585fb98c4029e06b8153e4e5d64f165" virt="non-virtual"><scope>cy_stc_ipc_pipe_config_t</scope><name>ep0ConfigData</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__config__t_1aefa7a75db152315e2e3e3ae46820a4ce" virt="non-virtual"><scope>cy_stc_ipc_pipe_config_t</scope><name>ep1ConfigData</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__config__t_1aec89378774fd910f4037abf56114d868" virt="non-virtual"><scope>cy_stc_ipc_pipe_config_t</scope><name>userPipeIsrHandler</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>